%global _empty_manifest_terminate_build 0
Name:		python-django-compressor
Version:	4.5.1
Release:	1
Summary:	Compresses linked and inline JavaScript or CSS into single cached files.
License:	MIT
URL:		https://django-compressor.readthedocs.io/en/latest/
Source0:        %{pypi_source django_compressor}

BuildArch:	noarch

Requires:	python3-django-appconf
Requires:	python3-rcssmin
Requires:	python3-rjsmin
Requires:	python3-six

%description
Django Compressor processes, combines and minifies linked and inline
Javascript or CSS in a Django template into cacheable static files.
It supports compilers such as coffeescript, LESS and SASS and is
extensible by custom processing steps.

%package -n python3-django-compressor
Summary:	Compresses linked and inline JavaScript or CSS into single cached files.
Provides:	python-django-compressor
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-django-compressor
Django Compressor processes, combines and minifies linked and inline
Javascript or CSS in a Django template into cacheable static files.
It supports compilers such as coffeescript, LESS and SASS and is
extensible by custom processing steps.

%package help
Summary:	Development documents and examples for django-compressor
Provides:	python3-django-compressor-doc
%description help
Django Compressor processes, combines and minifies linked and inline
Javascript or CSS in a Django template into cacheable static files.
It supports compilers such as coffeescript, LESS and SASS and is
extensible by custom processing steps.

%prep
%autosetup -n django_compressor-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi

%files -n python3-django-compressor
%{python3_sitelib}/

%files help
%{_docdir}/*

%changelog
* Wed Aug 14 2024 Ge Wang <wang__ge@126.com> - 4.5.1-1
- Update package to version 4.5.1

* Tue Jul 11 2023 chenzixuan <chenzixuan@kylinos.cn> - 4.4-1
- Update package to version 4.4

* Fri Feb 24 2023 wubijie <wubijie@kylinos.cn> - 4.3.1-1
- Update package to version 4.3.1

* Thu Dec 08 2022 chendexi <chendexi@kylinos.cn> - 4.1-1
- Upgrade package to version 4.1

* Sun Jul 24 2022 liksh <liks11@chinaunicom.com.cn> - 2.4.1-1
- Upgrade to 2.4.1 for openstack yoga

* Sat Aug 01 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
